Subject: Re: bug#65280: [PATCH v2 00/59] Refresh Qt 5 and 6 packages

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 17 Aug 2023 09:47:18 -0400

Hello 宋文武,

宋文武 <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> [...]
>> Thanks!  I've decided to update our Qt 5 as well, included in a V2; I've
>> tested building all of these version 5.15.10 packages except qtwebengine
>> which is requires too much RAM to build on my desktop.  The new commits
>> are:
>>
>> 0027-gnu-qtbase-5-Update-to-5.15.10.patch
>> 0028-gnu-qt3d-5-Update-to-5.15.10.patch
>> 0029-gnu-qtsvg-5-Update-to-5.15.10.patch
>> 0030-gnu-qtimageformats-5-Update-to-5.15.10.patch
>> 0031-gnu-qtx11extras-Update-to-5.15.10.patch
>> 0032-gnu-qtxmlpatterns-Update-to-5.15.10.patch
>> 0033-gnu-qtdeclarative-5-Update-to-5.15.10.patch
>> 0034-gnu-qtconnectivity-Update-to-5.15.10.patch
>> 0035-gnu-qtwebsockets-5-Update-to-5.15.10.patch
>> 0036-gnu-qtsensors-Update-to-5.15.10.patch
>> 0037-gnu-qtmultimedia-5-Update-to-5.15.10.patch
>> 0038-gnu-qtsensors-Shorten-line-width.patch
>> 0039-gnu-qtmultimedia-5-Shorten-maximum-line-width.patch
>> 0040-gnu-qtwayland-5-Update-to-5.15.10.patch
>> 0041-gnu-qtserialport-Update-to-5.15.10.patch
>> 0042-gnu-qtserialbus-Update-to-5.15.10.patch
>> 0043-gnu-qtwebchannel-5-Update-to-5.15.10.patch
>> 0044-gnu-qtwebglplugin-Update-to-5.15.10.patch
>> 0045-gnu-qtwebview-Update-to-5.15.10.patch
>> 0046-gnu-qtlocation-Update-to-5.15.10.patch
>> 0047-gnu-qttools-5-Update-to-5.15.10.patch
>> 0048-gnu-qtscript-Update-to-5.15.10.patch
>> 0049-gnu-qtquickcontrols-5-Update-to-5.15.10.patch
>> 0050-gnu-qtquickcontrols2-5-Update-to-5.15.10.patch
>> 0051-gnu-qtgraphicaleffects-Update-to-5.15.10.patch
>> 0052-gnu-qtgamepad-Update-to-5.15.10.patch
>> 0053-gnu-qtscxml-Update-to-5.15.10.patch
>> 0054-gnu-qtpurchasing-Update-to-5.15.10.patch
>> 0055-gnu-qtcharts-Update-to-5.15.10.patch
>> 0056-gnu-qtdatavis3d-Update-to-5.15.10.patch
>> 0057-gnu-qtnetworkauth-5-Update-to-5.15.10.patch
>> 0058-gnu-qtspeech-Update-to-5.15.10.patch
>> 0059-gnu-qtwebengine-5-Update-to-5.15.10.patch
>>
>> Could you please take a look?  They are mostly bumps to the version and
>> hash of each package and fixes for 'guix lint'.
>
> Yes, those look great to me too!  Thanks.

Thank you!

I'll open the merge request already, although it seems QA is a bit
behind and hasn't provided any insights into the branch yet -- I had
manually built all but one package and don't expect Qt applications to
break on a patch level update.

-- 
Thanks,
Maxim